Java plugin error if using user agent switcher extension (switched on Internet Explorer 6 WinXP) while starting Firefox 0.8

VERIFIED DUPLICATE of bug 83376

Status

()

defect
--
minor
VERIFIED DUPLICATE of bug 83376
15 years ago
15 years ago

People

(Reporter: cherry.boy, Assigned: bugzilla)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: DUPEME)

(Reporter)

Description

15 years ago
User-Agent:       
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6) Gecko/20040206 Firefox/0.8

while starting firefox whith user agent switcher extension (which is switched to
internet explorer 6) there comes an java plungin error which says 'this plugin
is not for internet exploerer 6! please use the plugin that is designed for
internet explorer instead'. so normally the problem should be able to be fixed
when the plugin doesn't check the user agent any more.

Reproducible: Always
Steps to Reproduce:
1. install the firefor/firebird extension user agent switcher 0.3
2. switch the user agent to internet explorer 6 winxp
3. after that exit firefox and start it again.. and there is the error

Actual Results:  
there is an error.. but after klicking 'ok' it seems like everything works fine.

Expected Results:  
there shouldn't come any error

with the default user agent or oper or netscape user agent there is no error at all.
by the way: if you fix this you could even attach a user agent switcher to
firefox ;)

Updated

15 years ago
Summary: Java plugin error if using user agent switcher extension (switched on Internet Explorer 6 WinXP) while starting Firefox 0.8 → Java plugin error if using user agent switcher extension (switched on Internet Explorer 6 WinXP) while starting Firefox 0.8
Whiteboard: DUPEME

Comment 1

15 years ago
Surely this is a bug with Sun's Java plugin, not Firefox?

p.s. Please think twice about leaving your User Agent set to IE, we need as many
webmasters as possible to know how popular Firefox is so they start supporting
it, rather than blocking it.

Comment 2

15 years ago

*** This bug has been marked as a duplicate of 83376 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → DUPLICATE
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.